Subject: [bug#54811] [PATCH 0/3] Support socket activation in 'guix publish' and 'guix-daemon'

From: Ludovic Courtès <[email-masked]>
Date: Sat, 09 Apr 2022 22:28:15 +0200

Maxime Devos <[email-masked]> skribis:

> Ludovic Courtès schreef op za 09-04-2022 om 11:13 [+0200]:
>> +  if (getEnv ("LISTEN_PID") == std::to_string (getpid ()))
>
> I thought it was name getenv, and not getEnv, and C strings cannot be
> meaningfully compared with == (pointer equality), or is thi a C++-ism?

Yes, this is the equality operator on std::string.  Also, ‘getEnv’
always returns a string, possibly empty (a flaky but good-enough
interface.)

Ludo’.